Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class FieldBreakpoint

    java.lang.Object
      org.netbeans.api.debugger.Breakpoint
          org.netbeans.api.debugger.jpda.JPDABreakpoint
              org.netbeans.api.debugger.jpda.FieldBreakpoint

    public final class FieldBreakpoint

extends JPDABreakpoint

Notifies about variable change or access events.
How to use it:

        DebuggerManager.addBreakpoint (FieldBreakpoint.create (
            "org.netbeans.modules.editor.EditorPanel",
            "state",
            FieldBreakpoint.TYPE_MODIFICATION
        ));

This breakpoint stops when state field of EditorPanel class is modified.

Field Summary
`static String` | `PROP_BREAKPOINT_TYPE` Property name constant.
`static String` | `PROP_CLASS_NAME` Property name constant.
`static String` | `PROP_CONDITION` Property name constant.
`static String` | `PROP_FIELD_NAME` Property name constant.
`static int` | `TYPE_ACCESS` Property type value constant.
`static int` | `TYPE_MODIFICATION` Property type value constant.

Fields inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`PROP_HIDDEN, PROP_PRINT_TEXT, PROP_SUSPEND, SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Fields inherited from class org.netbeans.api.debugger.Breakpoint
`PROP_DISPOSED, PROP_ENABLED, PROP_GROUP_NAME`

Method Summary
`static FieldBreakpoint` | `create(String className, String fieldName, int breakpointType)` Creates a new breakpoint for given parameters.
`int` | `getBreakpointType()` Returns type of breakpoint (one of TYPE_ACCESS and TYPE_MODIFICATION).
`String` | `getClassName()` Get name of class the field is defined in.
`String` | `getCondition()` Returns condition.
`String` | `getFieldName()` Returns name of field.
`void` | `setBreakpointType(int type)` Sets type of breakpoint.
`void` | `setClassName(String className)` Set name of class the field is defined in.
`void` | `setCondition(String cond)` Sets condition.
`void` | `setFieldName(String name)` Sets name of field.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`addJPDABreakpointListener, disable, enable, getPrintText, getSuspend, isEnabled, isHidden, removeJPDABreakpointListener, setHidden, setPrintText, setSuspend`

Methods inherited from class org.netbeans.api.debugger.Breakpoint
`addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getGroupName, removePropertyChangeListener, removePropertyChangeListener, setGroupName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_FIELD_NAME

    public static final String PROP_FIELD_NAME

  Property name constant.

  See Also:
    Constant Field Values

### PROP_CLASS_NAME

    public static final String PROP_CLASS_NAME

  Property name constant.

  See Also:
    Constant Field Values

### PROP_CONDITION

    public static final String PROP_CONDITION

  Property name constant.

  See Also:
    Constant Field Values

### PROP_BREAKPOINT_TYPE

    public static final String PROP_BREAKPOINT_TYPE

  Property name constant.

  See Also:
    Constant Field Values

### TYPE_ACCESS

    public static final int TYPE_ACCESS

  Property type value constant.

  See Also:
    Constant Field Values

### TYPE_MODIFICATION

    public static final int TYPE_MODIFICATION

  Property type value constant.

  See Also:
    Constant Field Values

Method Detail

### create

    public static FieldBreakpoint create(String className,
                                         String fieldName,
                                         int breakpointType)

  Creates a new breakpoint for given parameters.

  Parameters:
    `className` - class name
    `fieldName` - name of field
    `breakpointType` - one of constants: TYPE_ACCESS, TYPE_MODIFICATION
  Returns:
    a new breakpoint for given parameters

### getClassName

    public String getClassName()

  Get name of class the field is defined in.

  Returns:
    the name of class the field is defined in

### setClassName

    public void setClassName(String className)

  Set name of class the field is defined in.

  Parameters:
    `className` - a new name of class the field is defined in

### getFieldName

    public String getFieldName()

  Returns name of field.

  Returns:
    a name of field

### setFieldName

    public void setFieldName(String name)

  Sets name of field.

  Parameters:
    `name` - a name of field

### getBreakpointType

    public int getBreakpointType()

  Returns type of breakpoint (one of TYPE_ACCESS and TYPE_MODIFICATION).

  Returns:
    type of breakpoint

### setBreakpointType

    public void setBreakpointType(int type)

  Sets type of breakpoint.

  Parameters:
    `type` - a new type of breakpoint

### getCondition

    public String getCondition()

  Returns condition.

  Returns:
    cond a condition

### setCondition

    public void setCondition(String cond)

  Sets condition.

  Parameters:
    `cond` - a c new condition

### toString

    public String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.